%define	desktop_vendor sl

Summary:	A midi tracker/editor
Name:		AriaMaestosa
Version:	1.2.1
Release:	1%{?dist}
# For a breakdown of the licensing, see license.txt
# AriaMaestosa and libjdkmidi are both GPLv2, SCons licence free
License:	GPLv2+
Group:		Applications/Multimedia
Source0:	AriaSrc-%{version}.tar.bz2
URL:		http://ariamaestosa.sourceforge.net/
# svn checkout https://ariamaestosa.svn.sourceforge.net/svnroot/ariamaestosa/trunk

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	avahi-compat-libdns_sd
Requires:	timidity++
BuildRequires:	alsa-lib-devel
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	pkgconfig
BuildRequires:	PyOpenGL
BuildRequires:	scons
BuildRequires:	wxGTK
BuildRequires:	wxGTK-devel
BuildRequires:	wxGTK-gl

# SConstruct only contains options for macosx, x86 and x86_64
ExcludeArch:	PPC
ExcludeArch:	PPC64

%description
Aria Maestosa is an open-source (GPL) midi tracker/editor. It lets you compose,
edit and play midi files with a few clicks in a user-friendly interface offering
keyboard, guitar, drum and controller views.
Note: The print function is under construction 

%package lang
Summary:	%{summary}
Group:		Applications/Multimedia
Requires:	%{name} = %{version}

%description lang
This package contains the language files for Aria Maestosa

%prep
%setup -q -n AriaSrc-%{version}

# libjdkmidi needed to build Aria Maestosa
# Configure options
# --target-platform-linux=1
# --debug=1
# --optimize=1

pushd libjdkmidi
%configure --target-platform-linux=1 --debug=1 --optimize=1
%__make clean
%__make
popd

# Make docs UTF-8 claen
for f in ./Changelog.txt ./INSTALL.txt ./license.txt ./TODO.txt
do
	iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
	touch -c -r $f $f.utf8
	mv $f.utf8 $f
done

%build
# Build options
#	config=debug
#	renderer=opengl
#	renderer=wxwidgets

%__python scons/scons.py \
	CXXFLAGS="%{optflags}" \
	LDFLAGS="%{optflags}" \
	config=debug \
	renderer=wxwidgets

%install
for size in 32x32 48x48 64x64 128x128; do
	%__install -dm 755 %{buildroot}%{_datadir}/icons/hicolor/$size/apps
done
%__install -dm 755 %{buildroot}%{_datadir}/applications

%__python scons/scons.py \
	CXXFLAGS="%{optflags}" \
	LDFLAGS="%{optflags}" \
	config=debug \
	renderer=wxwidgets \
	install prefix=%{buildroot}%{_prefix}

# Ciao, rpath
chrpath --delete %{buildroot}%{_bindir}/Aria
# chrpath changes permissions - outrageous
chmod 755 %{buildroot}%{_bindir}/Aria

%find_lang aria_maestosa

# move icons to the proper freedesktop location
%__install -m 644 aria32.png \
      %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%__install -m 644 aria48.png \
      %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%__install -m 644 aria64.png \
      %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%__install -m 644 aria128.png \
      %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

# Here comes the desktop entry
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Aria Maestosa
GenericName=Midi tracker/editor
Comment=Create, edit and playback from midi files
Exec=Aria
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF
desktop-file-validate \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc *.txt
%dir %{_datadir}/Aria
%{_bindir}/Aria
%{_datadir}/Aria/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%docdir %{_datadir}/Aria/Documentation

%files lang -f aria_maestosa.lang

%changelog
* Fri May 14 2010 Simon Lewis <simon.lewis@slnet-online.de> - 1.2.1-1
- Bug fix
* Tue Feb 08 2010 Simon Lewis <simon.lewis@slnet-online.de> - 1.2b9svn757
- svn contains bug fix for starting timidity
